Hazelnp::HazelnuppValueNotConvertibleException Class Reference

Gets thrown when an attempt is made to retrieve the wrong data type from a value, when the value not convertible. More...

`#include <HazelnuppException.h>`

Inheritance diagram for Hazelnp::HazelnuppValueNotConvertibleException:
[legend]
Collaboration diagram for Hazelnp::HazelnuppValueNotConvertibleException:
[legend]

## Public Member Functions

| HazelnuppValueNotConvertibleException ()
| HazelnuppValueNotConvertibleException (const std::string &msg)
Public Member Functions inherited from Hazelnp::HazelnuppException
| HazelnuppException ()
| HazelnuppException (const std::string &msg)
const std::string & | What () const
| Will return an error message. More...

## Additional Inherited Members

Protected Attributes inherited from Hazelnp::HazelnuppException
std::string | message

## Detailed Description

Gets thrown when an attempt is made to retrieve the wrong data type from a value, when the value not convertible.

Definition at line 35 of file HazelnuppException.h.

## Constructor & Destructor Documentation

## HazelnuppValueNotConvertibleException() [1/2]

Hazelnp::HazelnuppValueNotConvertibleException::HazelnuppValueNotConvertibleException | ( |  | ) |

inline

Definition at line 38 of file HazelnuppException.h.

: HazelnuppException() {};

## HazelnuppValueNotConvertibleException() [2/2]

Hazelnp::HazelnuppValueNotConvertibleException::HazelnuppValueNotConvertibleException | ( | const std::string & | msg | ) |

inline

Definition at line 39 of file HazelnuppException.h.

: HazelnuppException(msg) {};

The documentation for this class was generated from the following file:

- Hazelnupp/HazelnuppException.h

Hazelnp::HazelnuppException::HazelnuppException
HazelnuppException()
Definition: HazelnuppException.h:11